- [EXPERIMENTAL] Upsert External Deployment
Create or update an external Deployment. A unique ID is required to identify the Deployment. Calling this endpoint with an existing id will update the `Deployment.
External Deployments represent work assignments that are managed outside of the Resource Management system.
We don't allow overlap between Deployments for the same Employee or Transport Resource.
The version of the Deployment can optionally be provided as a weak ETag in the If-Match header. This allows the caller to ensure that the Deployment has not been modified since the last time it was retrieved.
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior (see Examples) is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using 204 without resource (minimal) or using 200 or 201 with resource (representation) in the response body on success.
The business IDs of the transport resources for this deployment.
[ "truck-1", "trailer-2" ]
- Mock serverhttps://developer.conundra.eu/_mock/apis/resource-management/resources-api/deployment/{id}
- Resources API Productionhttps://api.conundra.eu/resource-management/v1/deployment/{id}
{ "employee": "employee-42", "transport_resources": [ "truck-1", "trailer-2" ], "start": { "at": "2021-01-01T08:00:00Z", "location": { … } }, "end": { "at": "2021-01-01T17:00:00Z", "location": { … } }, "total_break_time": "PT1H" }
{ "id": "deployment-123", "resource_combination_id": "rc-456", "availability_id": "avail-789", "employee_id": "employee-42", "transport_resource_ids": [ "truck-1", "trailer-2" ], "start": { "at": "2021-01-01T08:00:00Z", "location": { … } }, "end": { "at": "2021-01-01T17:00:00Z", "location": { … } }, "total_break_time": "PT1H", "planning_id": "planning-123" }